import org.camunda.bpm.client.ExternalTaskClient;
import org.camunda.bpm.client.task.ExternalTask;
import org.camunda.bpm.client.task.ExternalTaskService;

public class form8_5 {

    public void form8_5Run() {
        System.out.println(this.getClass().getName() + " Started");
        // 配置外部任务客户端
        ExternalTaskClient client = ExternalTaskClient.create()
                .baseUrl("http://localhost:8080/engine-rest")
                .build();

        // 订阅主题
        client.subscribe("Car_Issue8")
                .handler((ExternalTask externalTask, ExternalTaskService externalTaskService) -> {

                    // 获取任务变量
                    String datetime = externalTask.getVariable("datetime").toString();
                    String name = externalTask.getVariable("name").toString();
                    String orderID = externalTask.getVariable("orderID").toString();
                    String phonenumber = externalTask.getVariable("phonenumber").toString();
                    String feedback = externalTask.getVariable("feedback").toString();

                    // 输出任务详情
                    System.out.println("Ticket details: ");
                    System.out.println("- Datetime: " + datetime);
                    System.out.println("- Name: " + name);
                    System.out.println("- OrderID: " + orderID);
                    System.out.println("- Phone Number: " + phonenumber);
                    System.out.println("- Feedback: " + feedback);

                    // 完成任务
                    externalTaskService.complete(externalTask);
                })
                .open();
    }
}