import org.camunda.bpm.client.ExternalTaskClient;
import org.camunda.bpm.client.task.ExternalTask;
import org.camunda.bpm.client.task.ExternalTaskService;


public class form9_6 {

    public void form9_6Run() {
        System.out.println(this.getClass().getName() + " Started");
        // 配置外部任务客户端
        ExternalTaskClient client = ExternalTaskClient.create()
                .baseUrl("http://localhost:8080/engine-rest")
                .build();

        // 订阅主题
        client.subscribe("Car_Refund9")
                .handler((ExternalTask externalTask, ExternalTaskService externalTaskService) -> {

                    // 获取任务变量
                    String name = externalTask.getVariable("name");
                    String phoneNumber = externalTask.getVariable("phone_number");
                    String orderID = externalTask.getVariable("orderID");
                    String reason = externalTask.getVariable("reason");

                    // 输出任务详情
                    System.out.println("Ticket details: ");
                    System.out.println("- Name: " + name);
                    System.out.println("- Phone Number: " + phoneNumber);
                    System.out.println("- OrderID: " + orderID);
                    System.out.println("- Reason: " + reason);

                    // 完成任务
                    externalTaskService.complete(externalTask);
                })
                .open();
    }
}
