import { Client, logger } from "camunda-external-task-client-js";

// 配置客户端
const config = { baseUrl: "http://localhost:8080/engine-rest", use: logger };

// 创建客户端实例
const client = new Client(config);

// 订阅主题 
client.subscribe("Car_Login1", async function ({ task, taskService }) {
    
    // 获取任务变量
    const membershipSelect = task.variables.get("membership_select");
    const memberId = task.variables.get("member_id");
    const password = task.variables.get("password");

    console.log(`Member details: 
    - Membership Select: ${membershipSelect} 
    - Member ID: ${memberId} 
    - Password: ******`);

    // 完成任务
    await taskService.complete(task);
});